Bug 104882 - [kbl] GPU hang in firefox (Compositor)
Summary: [kbl] GPU hang in firefox (Compositor)
Status: RESOLVED MOVED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Drivers/DRI/i965 (show other bugs)
Version: unspecified
Hardware: x86-64 (AMD64) Linux (All)
: medium major
Assignee: Intel 3D Bugs Mailing List
QA Contact: Intel 3D Bugs Mailing List
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-01-31 10:20 UTC by kolp
Modified: 2019-09-25 19:08 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments
journalctl (228.65 KB, text/plain)
2018-01-31 10:20 UTC, kolp
Details
gpu crash dump (40.79 KB, text/plain)
2018-01-31 10:21 UTC, kolp
Details

Note You need to log in before you can comment on or make changes to this bug.
Description kolp 2018-01-31 10:20:41 UTC
Created attachment 137082 [details]
journalctl

Hello,

I was browsing via Firefox, and my system went unresponsive.


Jan 31 12:06:20 myHost kernel: [drm:drm_mode_addfb2 [drm]] [FB:93]
Jan 31 12:06:34 myHost kernel: [drm:drm_mode_addfb2 [drm]] [FB:73]
Jan 31 12:06:46 myHost kernel: [drm:drm_mode_addfb2 [drm]] [FB:89]
Jan 31 12:06:50 myHost kernel: [drm:drm_mode_addfb2 [drm]] [FB:73]
Jan 31 12:07:04 myHost kernel: [drm:drm_mode_addfb2 [drm]] [FB:92]
Jan 31 12:07:11 myHost kernel: [drm:drm_mode_addfb2 [drm]] [FB:60]
Jan 31 12:07:29 myHost kernel: [drm:drm_mode_addfb2 [drm]] [FB:60]
Jan 31 12:07:40 myHost kernel: [drm:drm_mode_addfb2 [drm]] [FB:91]
Jan 31 12:07:52 myHost kernel: [drm:drm_mode_addfb2 [drm]] [FB:92]
Jan 31 12:08:00 myHost kernel: [drm:drm_mode_addfb2 [drm]] [FB:73]
Jan 31 12:08:29 myHost kernel: [drm:drm_mode_addfb2 [drm]] [FB:60]
Jan 31 12:08:41 myHost kernel: [drm:missed_breadcrumb [i915]] rcs0 missed breadcrumb at intel_breadcrumbs_hangcheck+0x5a/0x80 [i915], irq posted? yes, current seqno=193f59, last=193f5d
Jan 31 12:08:46 myHost kernel: [drm] GPU HANG: ecode 9:0:0x85dffffb, in Compositor [12694], reason: Hang on rcs0, action: reset
Jan 31 12:08:46 myHost kernel: [drm] GPU hangs can indicate a bug anywhere in the entire gfx stack, including userspace.
Jan 31 12:08:46 myHost kernel: [drm] Please file a _new_ bug report on bugs.freedesktop.org against DRI -> DRM/Intel
Jan 31 12:08:46 myHost kernel: [drm] drm/i915 developers can then reassign to the right component if it's not a kernel issue.
Jan 31 12:08:46 myHost kernel: [drm] The gpu crash dump is required to analyze gpu hangs, so please always attach it.
Jan 31 12:08:46 myHost kernel: [drm] GPU crash dump saved to /sys/class/drm/card0/error
Jan 31 12:08:46 myHost kernel: [drm:i915_reset_device [i915]] resetting chip
Jan 31 12:08:46 myHost kernel: i915 0000:00:02.0: Resetting chip after gpu hang
Jan 31 12:08:46 myHost kernel: [drm:i915_gem_reset_engine [i915]] context Compositor[12694]/4 marked guilty (score 10) banned? no
Jan 31 12:08:46 myHost kernel: [drm:i915_gem_reset_engine [i915]] resetting rcs0 to restart from tail of request 0x193f5a
Jan 31 12:08:46 myHost kernel: [drm] RC6 on
Jan 31 12:08:46 myHost kernel: [drm:gen8_init_common_ring [i915]] Execlists enabled for rcs0
Jan 31 12:08:46 myHost kernel: [drm:gen8_init_common_ring [i915]] Restarting rcs0:0 from 0x193f5d
Jan 31 12:08:46 myHost kernel: [drm:gen8_init_common_ring [i915]] Restarting rcs0:1 from 0x193f5c
Jan 31 12:08:46 myHost kernel: [drm:init_workarounds_ring [i915]] rcs0: Number of context specific w/a: 17
Jan 31 12:08:46 myHost kernel: [drm:gen8_init_common_ring [i915]] Execlists enabled for bcs0
Jan 31 12:08:46 myHost kernel: [drm:gen8_init_common_ring [i915]] Execlists enabled for vcs0
Jan 31 12:08:46 myHost kernel: [drm:gen8_init_common_ring [i915]] Execlists enabled for vecs0
Jan 31 12:08:46 myHost kernel: [drm:intel_huc_init_hw [i915]] i915/kbl_huc_ver02_00_1810.bin fw status: fetch SUCCESS, load SUCCESS
Jan 31 12:08:46 myHost kernel: [drm:intel_huc_init_hw [i915]] HuC DMA transfer wait over with ret 0
Jan 31 12:08:46 myHost kernel: [drm:intel_huc_init_hw [i915]] i915/kbl_huc_ver02_00_1810.bin fw status: fetch SUCCESS, load SUCCESS
Jan 31 12:08:46 myHost kernel: [drm:intel_guc_init_hw [i915]] GuC fw status: path i915/kbl_guc_ver9_14.bin, fetch SUCCESS, load SUCCESS
Jan 31 12:08:46 myHost kernel: [drm:intel_guc_init_hw [i915]] GuC fw status: fetch SUCCESS, load PENDING
Jan 31 12:08:46 myHost kernel: [drm:guc_ucode_xfer_dma [i915]] DMA status 0x10, GuC status 0x8002f0ec
Jan 31 12:08:46 myHost kernel: [drm:guc_ucode_xfer_dma [i915]] returning 0
Jan 31 12:08:46 myHost kernel: [drm] GuC submission enabled (firmware i915/kbl_guc_ver9_14.bin [version 9.14])
Jan 31 12:08:50 myHost kernel: [drm:missed_breadcrumb [i915]] rcs0 missed breadcrumb at intel_breadcrumbs_hangcheck+0x5a/0x80 [i915], irq posted? yes, current seqno=193f5c, last=193f5f
Jan 31 12:08:54 myHost kernel: [drm:i915_reset_device [i915]] resetting chip
Jan 31 12:08:54 myHost kernel: i915 0000:00:02.0: Resetting chip after gpu hang
Jan 31 12:08:54 myHost kernel: [drm:i915_gem_reset_engine [i915]] context Compositor[12694]/4 marked guilty (score 19) banned? no
Jan 31 12:08:54 myHost kernel: [drm:i915_gem_reset_engine [i915]] resetting rcs0 to restart from tail of request 0x193f5d
Jan 31 12:08:54 myHost kernel: [drm] RC6 on
Jan 31 12:08:54 myHost kernel: [drm:gen8_init_common_ring [i915]] Execlists enabled for rcs0
Jan 31 12:08:54 myHost kernel: [drm:gen8_init_common_ring [i915]] Restarting rcs0:0 from 0x193f5d
Jan 31 12:08:54 myHost kernel: [drm:gen8_init_common_ring [i915]] Restarting rcs0:1 from 0x193f5f
Jan 31 12:08:54 myHost kernel: [drm:init_workarounds_ring [i915]] rcs0: Number of context specific w/a: 17
Jan 31 12:08:54 myHost kernel: [drm:gen8_init_common_ring [i915]] Execlists enabled for bcs0
Jan 31 12:08:54 myHost kernel: [drm:gen8_init_common_ring [i915]] Execlists enabled for vcs0
Jan 31 12:08:54 myHost kernel: [drm:gen8_init_common_ring [i915]] Execlists enabled for vecs0
Jan 31 12:08:54 myHost kernel: [drm:intel_huc_init_hw [i915]] i915/kbl_huc_ver02_00_1810.bin fw status: fetch SUCCESS, load SUCCESS
Jan 31 12:08:54 myHost kernel: [drm:intel_huc_init_hw [i915]] HuC DMA transfer wait over with ret 0
Jan 31 12:08:54 myHost kernel: [drm:intel_huc_init_hw [i915]] i915/kbl_huc_ver02_00_1810.bin fw status: fetch SUCCESS, load SUCCESS
Jan 31 12:08:54 myHost kernel: [drm:intel_guc_init_hw [i915]] GuC fw status: path i915/kbl_guc_ver9_14.bin, fetch SUCCESS, load SUCCESS
Jan 31 12:08:54 myHost kernel: [drm:intel_guc_init_hw [i915]] GuC fw status: fetch SUCCESS, load PENDING
Jan 31 12:08:54 myHost kernel: [drm:guc_ucode_xfer_dma [i915]] DMA status 0x10, GuC status 0x8002f0ec
Jan 31 12:08:54 myHost kernel: [drm:guc_ucode_xfer_dma [i915]] returning 0
Jan 31 12:08:54 myHost kernel: [drm] GuC submission enabled (firmware i915/kbl_guc_ver9_14.bin [version 9.14])
Jan 31 12:09:05 myHost kernel: [drm:drm_mode_addfb2 [drm]] [FB:91]
Jan 31 12:09:13 myHost NetworkManager[534]: <info>  [1517393353.0407] connectivity: (wlp3s0) timed out
Jan 31 12:09:17 myHost kernel: [drm:drm_mode_addfb2 [drm]] [FB:89]
Jan 31 12:09:28 myHost kernel: [drm:drm_mode_addfb2 [drm]] [FB:93]
Jan 31 12:09:34 myHost kernel: [drm:drm_mode_addfb2 [drm]] [FB:73]
Jan 31 12:09:45 myHost kernel: [drm:drm_mode_addfb2 [drm]] [FB:89]
Jan 31 12:09:45 myHost wpa_supplicant[599]: wlp3s0: WPA: Group rekeying completed with f8:d1:11:82:f8:4e [GTK=CCMP]
Jan 31 12:09:54 myHost kernel: [drm:drm_mode_addfb2 [drm]] [FB:60]
Jan 31 12:10:30 myHost kernel: [drm:drm_mode_addfb2 [drm]] [FB:89]
Jan 31 12:10:50 myHost kernel: [drm:missed_breadcrumb [i915]] rcs0 missed breadcrumb at intel_breadcrumbs_hangcheck+0x5a/0x80 [i915], irq posted? yes, current seqno=194c30, last=194c36
Jan 31 12:10:57 myHost kernel: [drm:i915_reset_device [i915]] resetting chip
Jan 31 12:10:57 myHost kernel: i915 0000:00:02.0: Resetting chip after gpu hang
Jan 31 12:10:57 myHost kernel: [drm:i915_gem_reset_engine [i915]] context Compositor[12694]/4 marked guilty (score 28) banned? no
Jan 31 12:10:57 myHost kernel: [drm:i915_gem_reset_engine [i915]] resetting rcs0 to restart from tail of request 0x194c31
Jan 31 12:10:57 myHost kernel: [drm] RC6 on
Jan 31 12:10:57 myHost kernel: [drm:gen8_init_common_ring [i915]] Execlists enabled for rcs0
Jan 31 12:10:57 myHost kernel: [drm:gen8_init_common_ring [i915]] Restarting rcs0:0 from 0x194c31
Jan 31 12:10:57 myHost kernel: [drm:gen8_init_common_ring [i915]] Restarting rcs0:1 from 0x194c36
Jan 31 12:10:57 myHost kernel: [drm:init_workarounds_ring [i915]] rcs0: Number of context specific w/a: 17
Jan 31 12:10:57 myHost kernel: [drm:gen8_init_common_ring [i915]] Execlists enabled for bcs0
Jan 31 12:10:57 myHost kernel: [drm:gen8_init_common_ring [i915]] Execlists enabled for vcs0
Jan 31 12:10:57 myHost kernel: [drm:gen8_init_common_ring [i915]] Execlists enabled for vecs0
Jan 31 12:10:57 myHost kernel: [drm:intel_huc_init_hw [i915]] i915/kbl_huc_ver02_00_1810.bin fw status: fetch SUCCESS, load SUCCESS
Jan 31 12:10:57 myHost kernel: [drm:intel_huc_init_hw [i915]] HuC DMA transfer wait over with ret 0
Jan 31 12:10:57 myHost kernel: [drm:intel_huc_init_hw [i915]] i915/kbl_huc_ver02_00_1810.bin fw status: fetch SUCCESS, load SUCCESS
Jan 31 12:10:57 myHost kernel: [drm:intel_guc_init_hw [i915]] GuC fw status: path i915/kbl_guc_ver9_14.bin, fetch SUCCESS, load SUCCESS
Jan 31 12:10:57 myHost kernel: [drm:intel_guc_init_hw [i915]] GuC fw status: fetch SUCCESS, load PENDING
Jan 31 12:10:57 myHost kernel: [drm:guc_ucode_xfer_dma [i915]] DMA status 0x10, GuC status 0x8002f0ec
Jan 31 12:10:57 myHost kernel: [drm:guc_ucode_xfer_dma [i915]] returning 0
Jan 31 12:10:57 myHost kernel: [drm] GuC submission enabled (firmware i915/kbl_guc_ver9_14.bin [version 9.14])
Jan 31 12:10:57 myHost kernel: [drm:drm_mode_addfb2 [drm]] [FB:92]
Jan 31 12:11:07 myHost kernel: [drm:missed_breadcrumb [i915]] rcs0 missed breadcrumb at intel_breadcrumbs_hangcheck+0x5a/0x80 [i915], irq posted? yes, current seqno=194cff, last=194d03
Jan 31 12:11:13 myHost kernel: [drm:i915_reset_device [i915]] resetting chip
Jan 31 12:11:13 myHost kernel: i915 0000:00:02.0: Resetting chip after gpu hang
Jan 31 12:11:13 myHost kernel: [drm:i915_gem_reset_engine [i915]] context Compositor[12694]/4 marked guilty (score 37) banned? no
Jan 31 12:11:13 myHost kernel: [drm:i915_gem_reset_engine [i915]] resetting rcs0 to restart from tail of request 0x194d00
Jan 31 12:11:13 myHost kernel: [drm] RC6 on
Jan 31 12:11:13 myHost kernel: [drm:gen8_init_common_ring [i915]] Execlists enabled for rcs0
Jan 31 12:11:13 myHost kernel: [drm:gen8_init_common_ring [i915]] Restarting rcs0:0 from 0x194d00
Jan 31 12:11:13 myHost kernel: [drm:gen8_init_common_ring [i915]] Restarting rcs0:1 from 0x194d03
Jan 31 12:11:13 myHost kernel: [drm:init_workarounds_ring [i915]] rcs0: Number of context specific w/a: 17
Jan 31 12:11:13 myHost kernel: [drm:gen8_init_common_ring [i915]] Execlists enabled for bcs0
Jan 31 12:11:13 myHost kernel: [drm:gen8_init_common_ring [i915]] Execlists enabled for vcs0
Jan 31 12:11:13 myHost kernel: [drm:gen8_init_common_ring [i915]] Execlists enabled for vecs0
Jan 31 12:11:13 myHost kernel: [drm:intel_huc_init_hw [i915]] i915/kbl_huc_ver02_00_1810.bin fw status: fetch SUCCESS, load SUCCESS
Jan 31 12:11:13 myHost kernel: [drm:intel_huc_init_hw [i915]] HuC DMA transfer wait over with ret 0
Jan 31 12:11:13 myHost kernel: [drm:intel_huc_init_hw [i915]] i915/kbl_huc_ver02_00_1810.bin fw status: fetch SUCCESS, load SUCCESS
Jan 31 12:11:13 myHost kernel: [drm:intel_guc_init_hw [i915]] GuC fw status: path i915/kbl_guc_ver9_14.bin, fetch SUCCESS, load SUCCESS
Jan 31 12:11:13 myHost kernel: [drm:intel_guc_init_hw [i915]] GuC fw status: fetch SUCCESS, load PENDING
Jan 31 12:11:13 myHost kernel: [drm:guc_ucode_xfer_dma [i915]] DMA status 0x10, GuC status 0x8002f0ec
Jan 31 12:11:13 myHost kernel: [drm:guc_ucode_xfer_dma [i915]] returning 0
Jan 31 12:11:13 myHost kernel: [drm] GuC submission enabled (firmware i915/kbl_guc_ver9_14.bin [version 9.14])
Jan 31 12:11:13 myHost kernel: [drm:drm_mode_addfb2 [drm]] [FB:73]
Jan 31 12:11:24 myHost kernel: [drm:missed_breadcrumb [i915]] rcs0 missed breadcrumb at intel_breadcrumbs_hangcheck+0x5a/0x80 [i915], irq posted? yes, current seqno=194e69, last=194e6f
Jan 31 12:11:28 myHost kernel: [drm:i915_reset_device [i915]] resetting chip
Jan 31 12:11:28 myHost kernel: i915 0000:00:02.0: Resetting chip after gpu hang
Jan 31 12:11:28 myHost kernel: [drm:i915_gem_reset_engine [i915]] context Compositor[12694]/4 marked guilty (score 46) banned? yes
Jan 31 12:11:28 myHost kernel: [drm:i915_gem_reset_engine [i915]] client Compositor[12694]/4 has had 1 context banned
Jan 31 12:11:28 myHost kernel: [drm:i915_gem_reset_engine [i915]] resetting rcs0 to restart from tail of request 0x194e6a
Jan 31 12:11:28 myHost kernel: [drm] RC6 on
Jan 31 12:11:28 myHost kernel: [drm:gen8_init_common_ring [i915]] Execlists enabled for rcs0
Jan 31 12:11:28 myHost kernel: [drm:gen8_init_common_ring [i915]] Restarting rcs0:0 from 0x194e6a
Jan 31 12:11:28 myHost kernel: [drm:gen8_init_common_ring [i915]] Restarting rcs0:1 from 0x194e6f
Jan 31 12:11:28 myHost kernel: [drm:init_workarounds_ring [i915]] rcs0: Number of context specific w/a: 17
Jan 31 12:11:28 myHost kernel: [drm:gen8_init_common_ring [i915]] Execlists enabled for bcs0
Jan 31 12:11:28 myHost kernel: [drm:gen8_init_common_ring [i915]] Execlists enabled for vcs0
Jan 31 12:11:28 myHost kernel: [drm:gen8_init_common_ring [i915]] Execlists enabled for vecs0
Jan 31 12:11:28 myHost kernel: [drm:intel_huc_init_hw [i915]] i915/kbl_huc_ver02_00_1810.bin fw status: fetch SUCCESS, load SUCCESS
Jan 31 12:11:28 myHost kernel: [drm:intel_huc_init_hw [i915]] HuC DMA transfer wait over with ret 0
Jan 31 12:11:28 myHost kernel: [drm:intel_huc_init_hw [i915]] i915/kbl_huc_ver02_00_1810.bin fw status: fetch SUCCESS, load SUCCESS
Jan 31 12:11:28 myHost kernel: [drm:intel_guc_init_hw [i915]] GuC fw status: path i915/kbl_guc_ver9_14.bin, fetch SUCCESS, load SUCCESS
Jan 31 12:11:28 myHost kernel: [drm:intel_guc_init_hw [i915]] GuC fw status: fetch SUCCESS, load PENDING
Jan 31 12:11:28 myHost kernel: [drm:guc_ucode_xfer_dma [i915]] DMA status 0x10, GuC status 0x8002f0ec
Jan 31 12:11:28 myHost kernel: [drm:guc_ucode_xfer_dma [i915]] returning 0
Jan 31 12:11:28 myHost kernel: [drm] GuC submission enabled (firmware i915/kbl_guc_ver9_14.bin [version 9.14])
Jan 31 12:11:32 myHost org.mate.panel.applet.BriskMenuFactory[12439]: i965: Failed to submit batchbuffer: Input/output error
Jan 31 12:11:32 myHost org.mate.panel.applet.BriskMenuFactory[12439]: ExceptionHandler::WaitForContinueSignal waiting for continue signal...
Jan 31 12:11:32 myHost org.mate.panel.applet.BriskMenuFactory[12439]: ExceptionHandler::GenerateDump cloned child 25542
Jan 31 12:11:32 myHost org.mate.panel.applet.BriskMenuFactory[12439]: ExceptionHandler::SendContinueSignalToChild sent continue signal to child
Jan 31 12:11:33 myHost org.mate.panel.applet.BriskMenuFactory[12439]: [Child 25143, Chrome_ChildThread] WARNING: pipe error (3): Connection reset by peer: file /build/firefox/src/mozilla-unified/ipc/chromium/src/chrome/common/ipc_channel_posix.cc, line 353
Jan 31 12:11:33 myHost kernel: Chrome_~dThread[25192]: segfault at 0 ip 00007f858344abfd sp 00007f857d415b00 error 6
Jan 31 12:11:33 myHost kernel: Chrome_~dThread[25146]: segfault at 0 ip 00007f315f24abfd sp 00007f3159215b00 error 6 in libxul.so[7f315ee4c000+4be8000]
Jan 31 12:11:33 myHost kernel:  in libxul.so[7f858304c000+4be8000]
Jan 31 12:11:33 myHost kernel: Chrome_~dThread[21949]: segfault at 0 ip 00007f556154abfd sp 00007f555b515b00 error 6 in libxul.so[7f556114c000+4be8000]
Jan 31 12:11:33 myHost kernel: Chrome_~dThread[25240]: segfault at 0 ip 00007f570db4abfd sp 00007f5707b15b00 error 6 in libxul.so[7f570d74c000+4be8000]
Jan 31 12:11:33 myHost systemd[1]: Started Process Core Dump (PID 25546/UID 0).
Jan 31 12:11:33 myHost systemd[1]: Started Process Core Dump (PID 25548/UID 0).
Jan 31 12:11:33 myHost systemd[1]: Started Process Core Dump (PID 25549/UID 0).
Jan 31 12:11:33 myHost systemd[1]: Started Process Core Dump (PID 25547/UID 0).
Jan 31 12:11:38 myHost kernel: [drm:drm_mode_addfb2 [drm]] [FB:92]
Jan 31 12:11:40 myHost systemd-coredump[25553]: Process 25188 (Web Content) of user 1000 dumped core.
Comment 1 kolp 2018-01-31 10:21:17 UTC
Created attachment 137083 [details]
gpu crash dump
Comment 2 kolp 2018-01-31 10:22:38 UTC
kernel: 4.14.15
cpu: i5-7200u
mesa: 17.3.3
video driver: xf86-video-intel
Comment 3 mirh 2018-01-31 13:10:51 UTC
Can you check bug 104775, comment 2?
Comment 4 mirh 2018-12-09 16:28:23 UTC
Any update?
Otherwise this can be closed.
Comment 5 GitLab Migration User 2019-09-25 19:08:14 UTC
-- GitLab Migration Automatic Message --

This bug has been migrated to freedesktop.org's GitLab instance and has been closed from further activity.

You can subscribe and participate further through the new bug through this link to our GitLab instance: https://gitlab.freedesktop.org/mesa/mesa/issues/1682.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.